## maven-repo-helper 1.9

=== debian/changelog ===
maven-repo-helper (1.9) unstable; urgency=medium

  * Added the --relocate option to mh_installpom
  * Reduced the size of the poms installed in /usr/share/maven-repo by removing
    the non-functional elements (licenses, scm, developers, contributors,
    issueManagement, mailingLists, inceptionYear, url, organization).
  * Fixed a typo in the manpage for mh_patchpoms
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Jun 2016 10:36:41 +0200
