## maven-repo-helper 1.9.2~bpo8+1

=== debian/changelog ===
maven-repo-helper (1.9.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Jul 2016 14:53:12 +0200

maven-repo-helper (1.9.2) unstable; urgency=medium

  * Team upload.
  * Fixed the error caused by the -i option added to mh_install by DH
    when building the architecture independent packages only (Closes: #805228)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 Jul 2016 00:04:17 +0200

maven-repo-helper (1.9.1) unstable; urgency=medium

  * Added the debian.package property in the relocated poms

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Jun 2016 15:56:50 +0200
