## maven-repo-helper 1.9.2

=== debian/control ===
Source: maven-repo-helper
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Ludovic Claude <ludovic.claude@laposte.net>, Damien Raude-Morvan <drazzib@debian.org>,
 Thomas Koch <thomas@koch.ro>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9), cdbs, default-jdk, ant, help2man, python-docutils
Build-Depends-Indep: ant-optional, libstax-java, junit4, libxmlunit-java, libcommons-io-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven-repo-helper.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven-repo-helper.git
Homepage: http://wiki.debian.org/Java/MavenRepoSpec

Package: maven-repo-helper
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libstax-java
Recommends: debhelper
Suggests: maven-debian-helper
Breaks: maven-debian-helper (<= 1.6.6)
Description: Helper tools for including Maven metadata in Debian packages
 This package enables Debian packages which are not using Maven in their
 build process to provide and install Maven POMs and libraries in the
 repository located in /usr/share/maven-repo.
 .
 Packages built with Maven (using maven-debian-helper) will benefit as
 many of their dependencies are already packaged in Debian but they are
 missing the necessary metadata (Maven POM) which is required by Maven
 when it is using dependencies.
 .
 A tutorial is available at /usr/share/doc/maven-repo-helper/tutorial.html
