## maven-repo-helper 1.9.3~18.04

=== debian/changelog ===
maven-repo-helper (1.9.3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1818647.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Mar 2019 13:09:35 +0100

maven-repo-helper (1.9.3) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Apply patch for mh_patchpoms to honor the --verbose option.
    Thank you to Christopher Hoskin for the patch. (Closes: #835042)

  [ Giovanni Mascellani ]
  * Document the fact that more than one relocation can be specified.

  [ Emmanuel Bourg ]
  * Ignore the --relocate option with mh_installsite and mh_linkjar
    (Closes: #891695)
  * Overwrite the relocation pom instead of appending to it
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889347)
  * Removed the dependency on libstax-java
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 10
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Jun 2018 13:40:38 +0200
