## maven-repo-helper 1.9.3+nmu1

=== debian/changelog ===
maven-repo-helper (1.9.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:54:29 +0800
