## maven-repo-helper 1.9.4

=== debian/changelog ===
maven-repo-helper (1.9.4) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Require Java 7 or higher
  * Fixed the parsing of substvars files when the variable's names contain ":"
  * Added a unit test for Substvars.write()

  [ tony mancill ]
  * Update build.javaVersion to 1.7 (Closes: #941737)
  * Update dependency on python-docutils for python3 (Closes: #943174)

 -- tony mancill <tmancill@debian.org>  Mon, 28 Oct 2019 20:07:24 -0700
