=== debian/control ===
--- 
+++ 
@@ -4,19 +4,18 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ludovic Claude <ludovic.claude@laposte.net>,
- Thomas Koch <thomas@koch.ro>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant,
  ant-optional,
  cdbs,
  debhelper (>= 10),
- default-jdk,
+ default-jdk (>= 2:1.7),
  help2man,
  junit4,
  libcommons-io-java,
  libxmlunit-java,
- python-docutils
+ python3-docutils
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/java-team/maven-repo-helper.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven-repo-helper
@@ -24,7 +23,7 @@
 
 Package: maven-repo-helper
 Architecture: all
-Depends: ${misc:Depends}, default-jre-headless (>= 1:1.6) | java6-runtime-headless
+Depends: ${misc:Depends}, default-jre-headless (>= 2:1.7) | java7-runtime-headless
 Recommends: debhelper (>= 10)
 Suggests: maven-debian-helper
 Breaks: maven-debian-helper (<= 1.6.6)
