## maven-repo-helper 1.10~bpo10+1

=== debian/changelog ===
maven-repo-helper (1.10~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 24 Feb 2021 18:55:55 +0000

maven-repo-helper (1.10) unstable; urgency=medium

  * Fixed the resolution of the dependencies with a classifier (Closes: #982438)
  * Added the classifier to the string representation of a Dependency
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Fixed the lintian warnings on debian/copyright
  * Updated the location of the source repository in pom.xml and d/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2021 14:08:24 +0100
