## maven-repo-helper 1.10

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
 Build-Depends:
  ant,
  ant-optional,
- cdbs,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  default-jdk (>= 2:1.7),
  help2man,
  junit4,
  libcommons-io-java,
  libxmlunit-java,
  python3-docutils
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/maven-repo-helper.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven-repo-helper
 Homepage: https://wiki.debian.org/Java/MavenRepoSpec
@@ -24,7 +23,7 @@
 Package: maven-repo-helper
 Architecture: all
 Depends: ${misc:Depends}, default-jre-headless (>= 2:1.7) | java7-runtime-headless
-Recommends: debhelper (>= 10)
+Recommends: debhelper-compat (= 13)
 Suggests: maven-debian-helper
 Breaks: maven-debian-helper (<= 1.6.6)
 Description: Helper tools for including Maven metadata in Debian packages
