## maven-repo-helper 1.11

=== debian/changelog ===
maven-repo-helper (1.11) unstable; urgency=medium

  * Provide dh-sequence-maven-repo-helper (Closes: #985651)
  * Moved the temporary debian/.mh directory under debian/.debhelper
    (Closes: #985650)
  * No longer call mh_clean during the build sequence, the temporary files
    are now cleaned by debhelper
  * mh_clean is now deprecated and doesn't do anything
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 23 May 2022 13:07:43 +0200
