=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libcommons-io-java,
  libxmlunit-java,
  python3-docutils
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/maven-repo-helper.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven-repo-helper
 Homepage: https://wiki.debian.org/Java/MavenRepoSpec
@@ -26,6 +26,7 @@
 Recommends: debhelper-compat (= 13)
 Suggests: maven-debian-helper
 Breaks: maven-debian-helper (<= 1.6.6)
+Provides: dh-sequence-maven-repo-helper
 Description: Helper tools for including Maven metadata in Debian packages
  This package enables Debian packages which are not using Maven in their
  build process to provide and install Maven POMs and libraries in the
