## maven-repo-helper 1.12

=== debian/changelog ===
maven-repo-helper (1.12) unstable; urgency=medium

  * Team upload.
  * Remove CDBS from tutorial, /usr/share/cdbs/1/class/ant.mk is gone
    (Closes: #1099949)
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Sep 2025 18:07:30 +0200
