=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libcommons-io-java,
  libxmlunit-java,
  python3-docutils
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/maven-repo-helper.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven-repo-helper
 Homepage: https://wiki.debian.org/Java/MavenRepoSpec
